﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using ID781743.Resources;
using Telerik.Windows.Controls;

namespace ID781743
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            this.dataBoundListBox1.ItemsSource = Enumerable.Range(0, 10).Select(value => new Number(value));
        }
    }

    public class MyTemplateSelector : DataTemplateSelector
    {
        public DataTemplate EvenTemplate { get; set; }
        public DataTemplate OddTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            Number number = (Number)item;
            return number.NumberType == NumberType.Even ? this.EvenTemplate : this.OddTemplate;
        }
    }

    public class Number
    {
        public Number(int value)
        {
            this.Value = value;
            this.NumberType = value % 2 == 0 ? NumberType.Even : NumberType.Odd;
        }

        public int Value { get; set; }
        public NumberType NumberType { get; set; }
    }

    public enum NumberType
    {
        Odd,
        Even
    }
}